AuthService
Accept Terms
Explicitly accept the terms that apply to the caller's root account. Requires an interactive JWT. Repeated requests succeed.
Method
POST
Path
/v1/auth/terms/accept
Visibility
Authentication
Session token
MFA Requirement
Not required
POST
/v1/auth/terms/accept Request
Testnet
curl --request POST \ \ --url 'https://api.testnet.polyester.com/v1/auth/terms/accept' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{}| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |